package com.tenlionsoft.baselib.utils;


import com.pddstudio.preferences.encrypted.EncryptedPreferences;
import com.tenlionsoft.baselib.app.BaseAppContext;

public class EncryptedPreferencesUtils {

    private static EncryptedPreferences instance;

    private EncryptedPreferencesUtils() {
    }

    public static synchronized EncryptedPreferences getInstance() {
        if (instance == null) {
            instance = new EncryptedPreferences.Builder(BaseAppContext.getInstance()).withEncryptionPassword("citygovernance").build();
        }
        return instance;
    }
}
